#ifndef _MAIN_H
#define _MAIN_H

/* A vertex */
typedef struct VERTEX_TAG
{
    double x;
    double y;
} VERTEX_TYPE;

/* A potentially split piece of a line segment, as processed from the */
/* base line in the original list                                     */
typedef struct LINESEG_TAG
{
    struct LINESEG_TAG *pnextlineseg;
    int startvertex;
    int endvertex;
    double walltop;
    double wallbottom;
    double tstart;
    double tend;
    int color;
    struct LINESEG_TAG *pfronttree;
    struct LINESEG_TAG *pbacktree;
} LINESEG_TYPE;

#endif
